For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETRetrieve offboarding list
      • GETRetrieve termination details
      • GETRetrieve termination details by HRIS profile identifier
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsOffboarding

Retrieve termination details by HRIS profile identifier

GET
/offboarding/tracker/hris_profile/:oid
GET
/rest/v2/offboarding/tracker/hris_profile/:oid
$curl https://api.letsdeel.com/rest/v2/offboarding/tracker/hris_profile/150f635e-fae1-4b9d-9f86-768bbbac3698 \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "summary": [
4 {
5 "data": {
6 "id": "m7yg6zp"
7 },
8 "name": "Contract name",
9 "type": "CONTRACT_NAME",
10 "value": "TSB64 F348A1"
11 }
12 ],
13 "contract": {
14 "id": "m7yg6zp",
15 "eor": {
16 "probation_period": {
17 "status": "in_progress",
18 "period_end_at": "2021-07-14T22:00:00+00:00",
19 "period_in_days": 612411
20 }
21 },
22 "oid": "m7yg6zp",
23 "name": "John Doo",
24 "timezone": "Europe/Belgrade",
25 "contract_type": "payg_tasks"
26 },
27 "progress": {
28 "status": "OFFBOARDING_IN_PROGRESS",
29 "reference_date": "2021-07-14T22:00:00+00:00",
30 "reference_date_type": "END_DATE",
31 "reference_date_timezone": "Europe/Belgrade"
32 },
33 "hiring_type": "contractor",
34 "termination": {
35 "id": "b550b7e5-d6e1-4613-93ba-a7ee5f75887c",
36 "end_date": "2024-12-01T22:59:59.999Z",
37 "ending_type": "ENDING_CONTRACT",
38 "initiated_at": "2024-12-01T22:59:59.999Z",
39 "initiated_by": {
40 "name": "John Doo",
41 "profile_type": "client"
42 },
43 "public_message": "Lorem Ipsum is simply dummy text of the printing and typesetting industry.",
44 "termination_impact": {
45 "title": "Loren Impact",
46 "description": "Lorem Ipsum is simply dummy text of the printing and typesetting industry."
47 },
48 "eligible_for_rehire": "YES",
49 "eligible_for_rehire_reason": "Lorem Ipsum is simply dummy text of the printing and typesetting industry."
50 },
51 "hris_profile": {
52 "oid": "b550b7e5-d6e1-4613-93ba-a7ee5f75887c",
53 "name": "qhzTMW fPpuSu",
54 "work_email": "a87cac24ea4fa4f0e4239ffd0facd778@test.com"
55 },
56 "app_experience": {
57 "is_minimal_requirements": true
58 }
59 }
60}

Returns termination details for a contract identified by its HRIS profile oid. Token scopes: contracts:read, people:read

Was this page helpful?
Previous

Get onboarding details by employee HRIS profile ID

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

oidstringRequired
Unique hris profile oid

Response

Successfully retrieved offboarding details
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication